<?php
//Include Common Files @1-C3AC5FB9
define("RelativePath", ".");
define("PathToCurrentPage", "/");
define("FileName", "unsuccessful_alarms.php");
include_once(RelativePath . "/Common.php");
include_once(RelativePath . "/Template.php");
include_once(RelativePath . "/Sorter.php");
include_once(RelativePath . "/Navigator.php");
//End Include Common Files

class clsGridUNSUCCESSFUL_ALARMS { //UNSUCCESSFUL_ALARMS class @2-25E2679C

//Variables @2-F2D58C93

    // Public variables
    public $ComponentType = "Grid";
    public $ComponentName;
    public $Visible;
    public $Errors;
    public $ErrorBlock;
    public $ds;
    public $DataSource;
    public $PageSize;
    public $IsEmpty;
    public $ForceIteration = false;
    public $HasRecord = false;
    public $SorterName = "";
    public $SorterDirection = "";
    public $PageNumber;
    public $RowNumber;
    public $ControlsVisible = array();

    public $CCSEvents = "";
    public $CCSEventResult;

    public $RelativePath = "";
    public $Attributes;

    // Grid Controls
    public $StaticControls;
    public $RowControls;
    public $Sorter_ID;
    public $Sorter_TIMEAL;
    public $Sorter_CALLERID1;
    public $Sorter_CALLERID2;
    public $Sorter_DATEALARM;
    public $Sorter_TRIES;
    public $Sorter_LANG;
    public $Sorter_ACTIVATED_BY;
//End Variables

//Class_Initialize Event @2-4021812E
    function clsGridUNSUCCESSFUL_ALARMS($RelativePath, & $Parent)
    {
        global $FileName;
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->ComponentName = "UNSUCCESSFUL_ALARMS";
        $this->Visible = True;
        $this->Parent = & $Parent;
        $this->RelativePath = $RelativePath;
        $this->Errors = new clsErrors();
        $this->ErrorBlock = "Grid UNSUCCESSFUL_ALARMS";
        $this->Attributes = new clsAttributes($this->ComponentName . ":");
        $this->DataSource = new clsUNSUCCESSFUL_ALARMSDataSource($this);
        $this->ds = & $this->DataSource;
        $this->PageSize = CCGetParam($this->ComponentName . "PageSize", "");
        if(!is_numeric($this->PageSize) || !strlen($this->PageSize))
            $this->PageSize = 30;
        else
            $this->PageSize = intval($this->PageSize);
        if ($this->PageSize > 100)
            $this->PageSize = 100;
        if($this->PageSize == 0)
            $this->Errors->addError("<p>Form: Grid " . $this->ComponentName . "<br>Error: (CCS06) Invalid page size.</p>");
        $this->PageNumber = intval(CCGetParam($this->ComponentName . "Page", 1));
        if ($this->PageNumber <= 0) $this->PageNumber = 1;
        $this->SorterName = CCGetParam("UNSUCCESSFUL_ALARMSOrder", "");
        $this->SorterDirection = CCGetParam("UNSUCCESSFUL_ALARMSDir", "");

        $this->ID = new clsControl(ccsLabel, "ID", "ID", ccsInteger, "", CCGetRequestParam("ID", ccsGet, NULL), $this);
        $this->TIMEAL = new clsControl(ccsLabel, "TIMEAL", "TIMEAL", ccsText, "", CCGetRequestParam("TIMEAL", ccsGet, NULL), $this);
        $this->CALLERID1 = new clsControl(ccsLabel, "CALLERID1", "CALLERID1", ccsText, "", CCGetRequestParam("CALLERID1", ccsGet, NULL), $this);
        $this->CALLERID2 = new clsControl(ccsLabel, "CALLERID2", "CALLERID2", ccsText, "", CCGetRequestParam("CALLERID2", ccsGet, NULL), $this);
        $this->DATEALARM = new clsControl(ccsLabel, "DATEALARM", "DATEALARM", ccsText, "", CCGetRequestParam("DATEALARM", ccsGet, NULL), $this);
        $this->TRIES = new clsControl(ccsLabel, "TRIES", "TRIES", ccsInteger, "", CCGetRequestParam("TRIES", ccsGet, NULL), $this);
        $this->LANG = new clsControl(ccsLabel, "LANG", "LANG", ccsInteger, "", CCGetRequestParam("LANG", ccsGet, NULL), $this);
        $this->ACTIVATED_BY = new clsControl(ccsLabel, "ACTIVATED_BY", "ACTIVATED_BY", ccsText, "", CCGetRequestParam("ACTIVATED_BY", ccsGet, NULL), $this);
        $this->UNSUCCESSFUL_ALARMS_TotalRecords = new clsControl(ccsLabel, "UNSUCCESSFUL_ALARMS_TotalRecords", "UNSUCCESSFUL_ALARMS_TotalRecords", ccsText, "", CCGetRequestParam("UNSUCCESSFUL_ALARMS_TotalRecords", ccsGet, NULL), $this);
        $this->Sorter_ID = new clsSorter($this->ComponentName, "Sorter_ID", $FileName, $this);
        $this->Sorter_TIMEAL = new clsSorter($this->ComponentName, "Sorter_TIMEAL", $FileName, $this);
        $this->Sorter_CALLERID1 = new clsSorter($this->ComponentName, "Sorter_CALLERID1", $FileName, $this);
        $this->Sorter_CALLERID2 = new clsSorter($this->ComponentName, "Sorter_CALLERID2", $FileName, $this);
        $this->Sorter_DATEALARM = new clsSorter($this->ComponentName, "Sorter_DATEALARM", $FileName, $this);
        $this->Sorter_TRIES = new clsSorter($this->ComponentName, "Sorter_TRIES", $FileName, $this);
        $this->Sorter_LANG = new clsSorter($this->ComponentName, "Sorter_LANG", $FileName, $this);
        $this->Sorter_ACTIVATED_BY = new clsSorter($this->ComponentName, "Sorter_ACTIVATED_BY", $FileName, $this);
        $this->Navigator = new clsNavigator($this->ComponentName, "Navigator", $FileName, 10, tpCentered, $this);
        $this->Navigator->PageSizes = array("1", "5", "10", "25", "50");
    }
//End Class_Initialize Event

//Initialize Method @2-90E704C5
    function Initialize()
    {
        if(!$this->Visible) return;

        $this->DataSource->PageSize = & $this->PageSize;
        $this->DataSource->AbsolutePage = & $this->PageNumber;
        $this->DataSource->SetOrder($this->SorterName, $this->SorterDirection);
    }
//End Initialize Method

//Show Method @2-EB273340
    function Show()
    {
        global $Tpl;
        global $CCSLocales;
        if(!$this->Visible) return;

        $this->RowNumber = 0;


        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeSelect", $this);


        $this->DataSource->Prepare();
        $this->DataSource->Open();
        $this->HasRecord = $this->DataSource->has_next_record();
        $this->IsEmpty = ! $this->HasRecord;
        $this->Attributes->Show();

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShow", $this);
        if(!$this->Visible) return;

        $GridBlock = "Grid " . $this->ComponentName;
        $ParentPath = $Tpl->block_path;
        $Tpl->block_path = $ParentPath . "/" . $GridBlock;


        if (!$this->IsEmpty) {
            $this->ControlsVisible["ID"] = $this->ID->Visible;
            $this->ControlsVisible["TIMEAL"] = $this->TIMEAL->Visible;
            $this->ControlsVisible["CALLERID1"] = $this->CALLERID1->Visible;
            $this->ControlsVisible["CALLERID2"] = $this->CALLERID2->Visible;
            $this->ControlsVisible["DATEALARM"] = $this->DATEALARM->Visible;
            $this->ControlsVisible["TRIES"] = $this->TRIES->Visible;
            $this->ControlsVisible["LANG"] = $this->LANG->Visible;
            $this->ControlsVisible["ACTIVATED_BY"] = $this->ACTIVATED_BY->Visible;
            while ($this->ForceIteration || (($this->RowNumber < $this->PageSize) &&  ($this->HasRecord = $this->DataSource->has_next_record()))) {
                // Parse Separator
                if($this->RowNumber) {
                    $this->Attributes->Show();
                    $Tpl->parseto("Separator", true, "Row");
                }
                $this->RowNumber++;
                if ($this->HasRecord) {
                    $this->DataSource->next_record();
                    $this->DataSource->SetValues();
                }
                $Tpl->block_path = $ParentPath . "/" . $GridBlock . "/Row";
                $this->ID->SetValue($this->DataSource->ID->GetValue());
                $this->TIMEAL->SetValue($this->DataSource->TIMEAL->GetValue());
                $this->CALLERID1->SetValue($this->DataSource->CALLERID1->GetValue());
                $this->CALLERID2->SetValue($this->DataSource->CALLERID2->GetValue());
                $this->DATEALARM->SetValue($this->DataSource->DATEALARM->GetValue());
                $this->TRIES->SetValue($this->DataSource->TRIES->GetValue());
                $this->LANG->SetValue($this->DataSource->LANG->GetValue());
                $this->ACTIVATED_BY->SetValue($this->DataSource->ACTIVATED_BY->GetValue());
                $this->Attributes->SetValue("rowNumber", $this->RowNumber);
                $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShowRow", $this);
                $this->Attributes->Show();
                $this->ID->Show();
                $this->TIMEAL->Show();
                $this->CALLERID1->Show();
                $this->CALLERID2->Show();
                $this->DATEALARM->Show();
                $this->TRIES->Show();
                $this->LANG->Show();
                $this->ACTIVATED_BY->Show();
                $Tpl->block_path = $ParentPath . "/" . $GridBlock;
                $Tpl->parse("Row", true);
            }
        }
        else { // Show NoRecords block if no records are found
            $this->Attributes->Show();
            $Tpl->parse("NoRecords", false);
        }

        $errors = $this->GetErrors();
        if(strlen($errors))
        {
            $Tpl->replaceblock("", $errors);
            $Tpl->block_path = $ParentPath;
            return;
        }
        $this->Navigator->PageNumber = $this->DataSource->AbsolutePage;
        $this->Navigator->PageSize = $this->PageSize;
        if ($this->DataSource->RecordsCount == "CCS not counted")
            $this->Navigator->TotalPages = $this->DataSource->AbsolutePage + ($this->DataSource->next_record() ? 1 : 0);
        else
            $this->Navigator->TotalPages = $this->DataSource->PageCount();
        if ($this->Navigator->TotalPages <= 1) {
            $this->Navigator->Visible = false;
        }
        $this->UNSUCCESSFUL_ALARMS_TotalRecords->Show();
        $this->Sorter_ID->Show();
        $this->Sorter_TIMEAL->Show();
        $this->Sorter_CALLERID1->Show();
        $this->Sorter_CALLERID2->Show();
        $this->Sorter_DATEALARM->Show();
        $this->Sorter_TRIES->Show();
        $this->Sorter_LANG->Show();
        $this->Sorter_ACTIVATED_BY->Show();
        $this->Navigator->Show();
        $Tpl->parse();
        $Tpl->block_path = $ParentPath;
        $this->DataSource->close();
    }
//End Show Method

//GetErrors Method @2-96DB7E5A
    function GetErrors()
    {
        $errors = "";
        $errors = ComposeStrings($errors, $this->ID->Errors->ToString());
        $errors = ComposeStrings($errors, $this->TIMEAL->Errors->ToString());
        $errors = ComposeStrings($errors, $this->CALLERID1->Errors->ToString());
        $errors = ComposeStrings($errors, $this->CALLERID2->Errors->ToString());
        $errors = ComposeStrings($errors, $this->DATEALARM->Errors->ToString());
        $errors = ComposeStrings($errors, $this->TRIES->Errors->ToString());
        $errors = ComposeStrings($errors, $this->LANG->Errors->ToString());
        $errors = ComposeStrings($errors, $this->ACTIVATED_BY->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Errors->ToString());
        $errors = ComposeStrings($errors, $this->DataSource->Errors->ToString());
        return $errors;
    }
//End GetErrors Method

} //End UNSUCCESSFUL_ALARMS Class @2-FCB6E20C

class clsUNSUCCESSFUL_ALARMSDataSource extends clsDBConnection1 {  //UNSUCCESSFUL_ALARMSDataSource Class @2-F96F092B

//DataSource Variables @2-0169802E
    public $Parent = "";
    public $CCSEvents = "";
    public $CCSEventResult;
    public $ErrorBlock;
    public $CmdExecution;

    public $CountSQL;
    public $wp;


    // Datasource fields
    public $ID;
    public $TIMEAL;
    public $CALLERID1;
    public $CALLERID2;
    public $DATEALARM;
    public $TRIES;
    public $LANG;
    public $ACTIVATED_BY;
//End DataSource Variables

//DataSourceClass_Initialize Event @2-6E6F7B48
    function clsUNSUCCESSFUL_ALARMSDataSource(& $Parent)
    {
        $this->Parent = & $Parent;
        $this->ErrorBlock = "Grid UNSUCCESSFUL_ALARMS";
        $this->Initialize();
        $this->ID = new clsField("ID", ccsInteger, "");
        
        $this->TIMEAL = new clsField("TIMEAL", ccsText, "");
        
        $this->CALLERID1 = new clsField("CALLERID1", ccsText, "");
        
        $this->CALLERID2 = new clsField("CALLERID2", ccsText, "");
        
        $this->DATEALARM = new clsField("DATEALARM", ccsText, "");
        
        $this->TRIES = new clsField("TRIES", ccsInteger, "");
        
        $this->LANG = new clsField("LANG", ccsInteger, "");
        
        $this->ACTIVATED_BY = new clsField("ACTIVATED_BY", ccsText, "");
        

    }
//End DataSourceClass_Initialize Event

//SetOrder Method @2-A8FC36FA
    function SetOrder($SorterName, $SorterDirection)
    {
        $this->Order = "";
        $this->Order = CCGetOrder($this->Order, $SorterName, $SorterDirection, 
            array("Sorter_ID" => array("ID", ""), 
            "Sorter_TIMEAL" => array("TIMEAL", ""), 
            "Sorter_CALLERID1" => array("CALLERID1", ""), 
            "Sorter_CALLERID2" => array("CALLERID2", ""), 
            "Sorter_DATEALARM" => array("DATEALARM", ""), 
            "Sorter_TRIES" => array("TRIES", ""), 
            "Sorter_LANG" => array("LANG", ""), 
            "Sorter_ACTIVATED_BY" => array("ACTIVATED_BY", "")));
    }
//End SetOrder Method

//Prepare Method @2-14D6CD9D
    function Prepare()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
    }
//End Prepare Method

//Open Method @2-FC37B2A4
    function Open()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildSelect", $this->Parent);
        $this->CountSQL = "SELECT COUNT(*)\n\n" .
        "FROM UNSUCCESSFUL_ALARMS";
        $this->SQL = "SELECT TOP {SqlParam_endRecord} * \n\n" .
        "FROM UNSUCCESSFUL_ALARMS {SQL_Where} {SQL_OrderBy}";
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteSelect", $this->Parent);
        if ($this->CountSQL) 
            $this->RecordsCount = CCGetDBValue(CCBuildSQL($this->CountSQL, $this->Where, ""), $this);
        else
            $this->RecordsCount = "CCS not counted";
        $this->query($this->OptimizeSQL(CCBuildSQL($this->SQL, $this->Where, $this->Order)));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteSelect", $this->Parent);
        $this->MoveToPage($this->AbsolutePage);
    }
//End Open Method

//SetValues Method @2-CF2B2368
    function SetValues()
    {
        $this->ID->SetDBValue(trim($this->f("ID")));
        $this->TIMEAL->SetDBValue($this->f("TIMEAL"));
        $this->CALLERID1->SetDBValue($this->f("CALLERID1"));
        $this->CALLERID2->SetDBValue($this->f("CALLERID2"));
        $this->DATEALARM->SetDBValue($this->f("DATEALARM"));
        $this->TRIES->SetDBValue(trim($this->f("TRIES")));
        $this->LANG->SetDBValue(trim($this->f("LANG")));
        $this->ACTIVATED_BY->SetDBValue($this->f("ACTIVATED_BY"));
    }
//End SetValues Method

} //End UNSUCCESSFUL_ALARMSDataSource Class @2-FCB6E20C

//Initialize Page @1-4D6BBC44
// Variables
$FileName = "";
$Redirect = "";
$Tpl = "";
$TemplateFileName = "";
$BlockToParse = "";
$ComponentName = "";
$Attributes = "";

// Events;
$CCSEvents = "";
$CCSEventResult = "";

$FileName = FileName;
$Redirect = "";
$TemplateFileName = "unsuccessful_alarms.html";
$BlockToParse = "main";
$TemplateEncoding = "UTF-8";
$ContentType = "text/html";
$PathToRoot = "./";
$Charset = $Charset ? $Charset : "utf-8";
//End Initialize Page

//Include events file @1-FCA993C2
include_once("./unsuccessful_alarms_events.php");
//End Include events file

//Before Initialize @1-E870CEBC
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeInitialize", $MainPage);
//End Before Initialize

//Initialize Objects @1-327880E5
$DBConnection1 = new clsDBConnection1();
$MainPage->Connections["Connection1"] = & $DBConnection1;
$Attributes = new clsAttributes("page:");
$MainPage->Attributes = & $Attributes;

// Controls
$UNSUCCESSFUL_ALARMS = new clsGridUNSUCCESSFUL_ALARMS("", $MainPage);
$Link5 = new clsControl(ccsLink, "Link5", "Link5", ccsText, "", CCGetRequestParam("Link5", ccsGet, NULL), $MainPage);
$Link5->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link5->Page = "index.php";
$Link1 = new clsControl(ccsLink, "Link1", "Link1", ccsText, "", CCGetRequestParam("Link1", ccsGet, NULL), $MainPage);
$Link1->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link1->Page = "user_accounts.php";
$Link4 = new clsControl(ccsLink, "Link4", "Link4", ccsText, "", CCGetRequestParam("Link4", ccsGet, NULL), $MainPage);
$Link4->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link4->Page = "unsucceessful_alarm_notifications_list.php";
$Link2 = new clsControl(ccsLink, "Link2", "Link2", ccsText, "", CCGetRequestParam("Link2", ccsGet, NULL), $MainPage);
$Link2->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link2->Page = "logs.php";
$Logout1 = new clsControl(ccsLink, "Logout1", "Logout1", ccsText, "", CCGetRequestParam("Logout1", ccsGet, NULL), $MainPage);
$Logout1->Page = "index.php";
$MainPage->UNSUCCESSFUL_ALARMS = & $UNSUCCESSFUL_ALARMS;
$MainPage->Link5 = & $Link5;
$MainPage->Link1 = & $Link1;
$MainPage->Link4 = & $Link4;
$MainPage->Link2 = & $Link2;
$MainPage->Logout1 = & $Logout1;
$Logout1->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Logout1->Parameters = CCAddParam($Logout1->Parameters, "Logout", "True");
$UNSUCCESSFUL_ALARMS->Initialize();

BindEvents();

$CCSEventResult = CCGetEvent($CCSEvents, "AfterInitialize", $MainPage);

if ($Charset) {
    header("Content-Type: " . $ContentType . "; charset=" . $Charset);
} else {
    header("Content-Type: " . $ContentType);
}
//End Initialize Objects

//Initialize HTML Template @1-51EC165D
$CCSEventResult = CCGetEvent($CCSEvents, "OnInitializeView", $MainPage);
$Tpl = new clsTemplate($FileEncoding, $TemplateEncoding);
$Tpl->LoadTemplate(PathToCurrentPage . $TemplateFileName, $BlockToParse, "UTF-8");
$Tpl->block_path = "/$BlockToParse";
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeShow", $MainPage);
$Attributes->SetValue("pathToRoot", "");
$Attributes->Show();
//End Initialize HTML Template

//Go to destination page @1-74D0BECB
if($Redirect)
{
    $CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
    $DBConnection1->close();
    header("Location: " . $Redirect);
    unset($UNSUCCESSFUL_ALARMS);
    unset($Tpl);
    exit;
}
//End Go to destination page

//Show Page @1-04043770
$UNSUCCESSFUL_ALARMS->Show();
$Link5->Show();
$Link1->Show();
$Link4->Show();
$Link2->Show();
$Logout1->Show();
$Tpl->block_path = "";
$Tpl->Parse($BlockToParse, false);
if (!isset($main_block)) $main_block = $Tpl->GetVar($BlockToParse);
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeOutput", $MainPage);
if ($CCSEventResult) echo $main_block;
//End Show Page

//Unload Page @1-B4E538D6
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
$DBConnection1->close();
unset($UNSUCCESSFUL_ALARMS);
unset($Tpl);
//End Unload Page


?>
