<?php
//Include Common Files @1-53239105
define("RelativePath", ".");
define("PathToCurrentPage", "/");
define("FileName", "user_accounts.php");
include_once(RelativePath . "/Common.php");
include_once(RelativePath . "/Template.php");
include_once(RelativePath . "/Sorter.php");
include_once(RelativePath . "/Navigator.php");
//End Include Common Files

class clsGridACCOUNTS { //ACCOUNTS class @27-2423A920

//Variables @27-CD120232

    // Public variables
    public $ComponentType = "Grid";
    public $ComponentName;
    public $Visible;
    public $Errors;
    public $ErrorBlock;
    public $ds;
    public $DataSource;
    public $PageSize;
    public $IsEmpty;
    public $ForceIteration = false;
    public $HasRecord = false;
    public $SorterName = "";
    public $SorterDirection = "";
    public $PageNumber;
    public $RowNumber;
    public $ControlsVisible = array();

    public $CCSEvents = "";
    public $CCSEventResult;

    public $RelativePath = "";
    public $Attributes;

    // Grid Controls
    public $StaticControls;
    public $RowControls;
    public $AltRowControls;
    public $IsAltRow;
    public $Sorter_ID;
    public $Sorter_SURNAME;
    public $Sorter_NAME;
    public $Sorter_TEL;
    public $Sorter_LOGIN;
    public $Sorter_PASSWORD;
    public $Sorter_GROUP_ID;
//End Variables

//Class_Initialize Event @27-391B1186
    function clsGridACCOUNTS($RelativePath, & $Parent)
    {
        global $FileName;
        global $CCSLocales;
        global $DefaultDateFormat;
        $this->ComponentName = "ACCOUNTS";
        $this->Visible = True;
        $this->Parent = & $Parent;
        $this->RelativePath = $RelativePath;
        $this->IsAltRow = false;
        $this->Errors = new clsErrors();
        $this->ErrorBlock = "Grid ACCOUNTS";
        $this->Attributes = new clsAttributes($this->ComponentName . ":");
        $this->DataSource = new clsACCOUNTSDataSource($this);
        $this->ds = & $this->DataSource;
        $this->PageSize = CCGetParam($this->ComponentName . "PageSize", "");
        if(!is_numeric($this->PageSize) || !strlen($this->PageSize))
            $this->PageSize = 15;
        else
            $this->PageSize = intval($this->PageSize);
        if ($this->PageSize > 100)
            $this->PageSize = 100;
        if($this->PageSize == 0)
            $this->Errors->addError("<p>Form: Grid " . $this->ComponentName . "<br>Error: (CCS06) Invalid page size.</p>");
        $this->PageNumber = intval(CCGetParam($this->ComponentName . "Page", 1));
        if ($this->PageNumber <= 0) $this->PageNumber = 1;
        $this->SorterName = CCGetParam("ACCOUNTSOrder", "");
        $this->SorterDirection = CCGetParam("ACCOUNTSDir", "");

        $this->Data_ID = new clsPanel("Data_ID", $this);
        $this->ID = new clsControl(ccsLink, "ID", "ID", ccsInteger, "", CCGetRequestParam("ID", ccsGet, NULL), $this);
        $this->ID->Page = "account_record.php";
        $this->Data_SURNAME = new clsPanel("Data_SURNAME", $this);
        $this->SURNAME = new clsControl(ccsLabel, "SURNAME", "SURNAME", ccsText, "", CCGetRequestParam("SURNAME", ccsGet, NULL), $this);
        $this->Data_NAME = new clsPanel("Data_NAME", $this);
        $this->NAME = new clsControl(ccsLabel, "NAME", "NAME", ccsText, "", CCGetRequestParam("NAME", ccsGet, NULL), $this);
        $this->Data_TEL = new clsPanel("Data_TEL", $this);
        $this->TEL = new clsControl(ccsLabel, "TEL", "TEL", ccsText, "", CCGetRequestParam("TEL", ccsGet, NULL), $this);
        $this->Data_LOGIN = new clsPanel("Data_LOGIN", $this);
        $this->LOGIN = new clsControl(ccsLabel, "LOGIN", "LOGIN", ccsText, "", CCGetRequestParam("LOGIN", ccsGet, NULL), $this);
        $this->Data_PASSWORD = new clsPanel("Data_PASSWORD", $this);
        $this->PASSWORD = new clsControl(ccsLabel, "PASSWORD", "PASSWORD", ccsText, "", CCGetRequestParam("PASSWORD", ccsGet, NULL), $this);
        $this->Data_GROUP_ID = new clsPanel("Data_GROUP_ID", $this);
        $this->GROUP_ID = new clsControl(ccsLabel, "GROUP_ID", "GROUP_ID", ccsInteger, "", CCGetRequestParam("GROUP_ID", ccsGet, NULL), $this);
        $this->Data_Alt_ID = new clsPanel("Data_Alt_ID", $this);
        $this->Alt_ID = new clsControl(ccsLink, "Alt_ID", "Alt_ID", ccsInteger, "", CCGetRequestParam("Alt_ID", ccsGet, NULL), $this);
        $this->Alt_ID->Page = "account_record.php";
        $this->Data_Alt_SURNAME = new clsPanel("Data_Alt_SURNAME", $this);
        $this->Alt_SURNAME = new clsControl(ccsLabel, "Alt_SURNAME", "Alt_SURNAME", ccsText, "", CCGetRequestParam("Alt_SURNAME", ccsGet, NULL), $this);
        $this->Data_Alt_NAME = new clsPanel("Data_Alt_NAME", $this);
        $this->Alt_NAME = new clsControl(ccsLabel, "Alt_NAME", "Alt_NAME", ccsText, "", CCGetRequestParam("Alt_NAME", ccsGet, NULL), $this);
        $this->Data_Alt_TEL = new clsPanel("Data_Alt_TEL", $this);
        $this->Alt_TEL = new clsControl(ccsLabel, "Alt_TEL", "Alt_TEL", ccsText, "", CCGetRequestParam("Alt_TEL", ccsGet, NULL), $this);
        $this->Data_Alt_LOGIN = new clsPanel("Data_Alt_LOGIN", $this);
        $this->Alt_LOGIN = new clsControl(ccsLabel, "Alt_LOGIN", "Alt_LOGIN", ccsText, "", CCGetRequestParam("Alt_LOGIN", ccsGet, NULL), $this);
        $this->Data_Alt_PASSWORD = new clsPanel("Data_Alt_PASSWORD", $this);
        $this->Alt_PASSWORD = new clsControl(ccsLabel, "Alt_PASSWORD", "Alt_PASSWORD", ccsText, "", CCGetRequestParam("Alt_PASSWORD", ccsGet, NULL), $this);
        $this->Data_Alt_GROUP_ID = new clsPanel("Data_Alt_GROUP_ID", $this);
        $this->Alt_GROUP_ID = new clsControl(ccsLabel, "Alt_GROUP_ID", "Alt_GROUP_ID", ccsInteger, "", CCGetRequestParam("Alt_GROUP_ID", ccsGet, NULL), $this);
        $this->ACCOUNTS_Insert = new clsControl(ccsLink, "ACCOUNTS_Insert", "ACCOUNTS_Insert", ccsText, "", CCGetRequestParam("ACCOUNTS_Insert", ccsGet, NULL), $this);
        $this->ACCOUNTS_Insert->Parameters = CCGetQueryString("QueryString", array("ID", "ccsForm"));
        $this->ACCOUNTS_Insert->Page = "account_record.php";
        $this->ACCOUNTS_TotalRecords = new clsControl(ccsLabel, "ACCOUNTS_TotalRecords", "ACCOUNTS_TotalRecords", ccsText, "", CCGetRequestParam("ACCOUNTS_TotalRecords", ccsGet, NULL), $this);
        $this->Header_ID = new clsPanel("Header_ID", $this);
        $this->Sorter_ID = new clsSorter($this->ComponentName, "Sorter_ID", $FileName, $this);
        $this->Header_SURNAME = new clsPanel("Header_SURNAME", $this);
        $this->Sorter_SURNAME = new clsSorter($this->ComponentName, "Sorter_SURNAME", $FileName, $this);
        $this->Header_NAME = new clsPanel("Header_NAME", $this);
        $this->Sorter_NAME = new clsSorter($this->ComponentName, "Sorter_NAME", $FileName, $this);
        $this->Header_TEL = new clsPanel("Header_TEL", $this);
        $this->Sorter_TEL = new clsSorter($this->ComponentName, "Sorter_TEL", $FileName, $this);
        $this->Header_LOGIN = new clsPanel("Header_LOGIN", $this);
        $this->Sorter_LOGIN = new clsSorter($this->ComponentName, "Sorter_LOGIN", $FileName, $this);
        $this->Header_PASSWORD = new clsPanel("Header_PASSWORD", $this);
        $this->Sorter_PASSWORD = new clsSorter($this->ComponentName, "Sorter_PASSWORD", $FileName, $this);
        $this->Header_GROUP_ID = new clsPanel("Header_GROUP_ID", $this);
        $this->Sorter_GROUP_ID = new clsSorter($this->ComponentName, "Sorter_GROUP_ID", $FileName, $this);
        $this->Navigator = new clsNavigator($this->ComponentName, "Navigator", $FileName, 10, tpSimple, $this);
        $this->Navigator->PageSizes = array("1", "5", "10", "25", "50");
        $this->Header_ID->AddComponent("Sorter_ID", $this->Sorter_ID);
        $this->Header_SURNAME->AddComponent("Sorter_SURNAME", $this->Sorter_SURNAME);
        $this->Header_NAME->AddComponent("Sorter_NAME", $this->Sorter_NAME);
        $this->Header_TEL->AddComponent("Sorter_TEL", $this->Sorter_TEL);
        $this->Header_LOGIN->AddComponent("Sorter_LOGIN", $this->Sorter_LOGIN);
        $this->Header_PASSWORD->AddComponent("Sorter_PASSWORD", $this->Sorter_PASSWORD);
        $this->Header_GROUP_ID->AddComponent("Sorter_GROUP_ID", $this->Sorter_GROUP_ID);
        $this->Data_ID->AddComponent("ID", $this->ID);
        $this->Data_SURNAME->AddComponent("SURNAME", $this->SURNAME);
        $this->Data_NAME->AddComponent("NAME", $this->NAME);
        $this->Data_TEL->AddComponent("TEL", $this->TEL);
        $this->Data_LOGIN->AddComponent("LOGIN", $this->LOGIN);
        $this->Data_PASSWORD->AddComponent("PASSWORD", $this->PASSWORD);
        $this->Data_GROUP_ID->AddComponent("GROUP_ID", $this->GROUP_ID);
        $this->Data_Alt_ID->AddComponent("Alt_ID", $this->Alt_ID);
        $this->Data_Alt_SURNAME->AddComponent("Alt_SURNAME", $this->Alt_SURNAME);
        $this->Data_Alt_NAME->AddComponent("Alt_NAME", $this->Alt_NAME);
        $this->Data_Alt_TEL->AddComponent("Alt_TEL", $this->Alt_TEL);
        $this->Data_Alt_LOGIN->AddComponent("Alt_LOGIN", $this->Alt_LOGIN);
        $this->Data_Alt_PASSWORD->AddComponent("Alt_PASSWORD", $this->Alt_PASSWORD);
        $this->Data_Alt_GROUP_ID->AddComponent("Alt_GROUP_ID", $this->Alt_GROUP_ID);
    }
//End Class_Initialize Event

//Initialize Method @27-90E704C5
    function Initialize()
    {
        if(!$this->Visible) return;

        $this->DataSource->PageSize = & $this->PageSize;
        $this->DataSource->AbsolutePage = & $this->PageNumber;
        $this->DataSource->SetOrder($this->SorterName, $this->SorterDirection);
    }
//End Initialize Method

//Show Method @27-5883A70F
    function Show()
    {
        global $Tpl;
        global $CCSLocales;
        if(!$this->Visible) return;

        $this->RowNumber = 0;


        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeSelect", $this);


        $this->DataSource->Prepare();
        $this->DataSource->Open();
        $this->HasRecord = $this->DataSource->has_next_record();
        $this->IsEmpty = ! $this->HasRecord;
        $this->Attributes->Show();

        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShow", $this);
        if(!$this->Visible) return;

        $GridBlock = "Grid " . $this->ComponentName;
        $ParentPath = $Tpl->block_path;
        $Tpl->block_path = $ParentPath . "/" . $GridBlock;


        if (!$this->IsEmpty) {
            $this->ControlsVisible["Data_ID"] = $this->Data_ID->Visible;
            $this->ControlsVisible["ID"] = $this->ID->Visible;
            $this->ControlsVisible["Data_SURNAME"] = $this->Data_SURNAME->Visible;
            $this->ControlsVisible["SURNAME"] = $this->SURNAME->Visible;
            $this->ControlsVisible["Data_NAME"] = $this->Data_NAME->Visible;
            $this->ControlsVisible["NAME"] = $this->NAME->Visible;
            $this->ControlsVisible["Data_TEL"] = $this->Data_TEL->Visible;
            $this->ControlsVisible["TEL"] = $this->TEL->Visible;
            $this->ControlsVisible["Data_LOGIN"] = $this->Data_LOGIN->Visible;
            $this->ControlsVisible["LOGIN"] = $this->LOGIN->Visible;
            $this->ControlsVisible["Data_PASSWORD"] = $this->Data_PASSWORD->Visible;
            $this->ControlsVisible["PASSWORD"] = $this->PASSWORD->Visible;
            $this->ControlsVisible["Data_GROUP_ID"] = $this->Data_GROUP_ID->Visible;
            $this->ControlsVisible["GROUP_ID"] = $this->GROUP_ID->Visible;
            while ($this->ForceIteration || (($this->RowNumber < $this->PageSize) &&  ($this->HasRecord = $this->DataSource->has_next_record()))) {
                // Parse Separator
                if($this->RowNumber) {
                    $this->Attributes->Show();
                    $Tpl->parseto("Separator", true, "Row");
                }
                $this->RowNumber++;
                if ($this->HasRecord) {
                    $this->DataSource->next_record();
                    $this->DataSource->SetValues();
                }
                if(!$this->IsAltRow)
                {
                    $Tpl->block_path = $ParentPath . "/" . $GridBlock . "/Row";
                    $this->ID->SetValue($this->DataSource->ID->GetValue());
                    $this->ID->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
                    $this->ID->Parameters = CCAddParam($this->ID->Parameters, "ID", $this->DataSource->f("ID"));
                    $this->SURNAME->SetValue($this->DataSource->SURNAME->GetValue());
                    $this->NAME->SetValue($this->DataSource->NAME->GetValue());
                    $this->TEL->SetValue($this->DataSource->TEL->GetValue());
                    $this->LOGIN->SetValue($this->DataSource->LOGIN->GetValue());
                    $this->PASSWORD->SetValue($this->DataSource->PASSWORD->GetValue());
                    $this->GROUP_ID->SetValue($this->DataSource->GROUP_ID->GetValue());
                    $this->Attributes->SetValue("rowNumber", $this->RowNumber);
                    $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShowRow", $this);
                    $this->Attributes->Show();
                    $this->Data_ID->Show();
                    $this->Data_SURNAME->Show();
                    $this->Data_NAME->Show();
                    $this->Data_TEL->Show();
                    $this->Data_LOGIN->Show();
                    $this->Data_PASSWORD->Show();
                    $this->Data_GROUP_ID->Show();
                    $Tpl->block_path = $ParentPath . "/" . $GridBlock;
                    $Tpl->parse("Row", true);
                }
                else
                {
                    $Tpl->block_path = $ParentPath . "/" . $GridBlock . "/AltRow";
                    $this->Alt_ID->SetValue($this->DataSource->Alt_ID->GetValue());
                    $this->Alt_ID->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
                    $this->Alt_ID->Parameters = CCAddParam($this->Alt_ID->Parameters, "ID", $this->DataSource->f("ID"));
                    $this->Alt_SURNAME->SetValue($this->DataSource->Alt_SURNAME->GetValue());
                    $this->Alt_NAME->SetValue($this->DataSource->Alt_NAME->GetValue());
                    $this->Alt_TEL->SetValue($this->DataSource->Alt_TEL->GetValue());
                    $this->Alt_LOGIN->SetValue($this->DataSource->Alt_LOGIN->GetValue());
                    $this->Alt_PASSWORD->SetValue($this->DataSource->Alt_PASSWORD->GetValue());
                    $this->Alt_GROUP_ID->SetValue($this->DataSource->Alt_GROUP_ID->GetValue());
                    $this->Attributes->SetValue("rowNumber", $this->RowNumber);
                    $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeShowRow", $this);
                    $this->Attributes->Show();
                    $this->Data_Alt_ID->Show();
                    $this->Data_Alt_SURNAME->Show();
                    $this->Data_Alt_NAME->Show();
                    $this->Data_Alt_TEL->Show();
                    $this->Data_Alt_LOGIN->Show();
                    $this->Data_Alt_PASSWORD->Show();
                    $this->Data_Alt_GROUP_ID->Show();
                    $Tpl->block_path = $ParentPath . "/" . $GridBlock;
                    $Tpl->parseto("AltRow", true, "Row");
                }
                $this->IsAltRow = (!$this->IsAltRow);
            }
        }
        else { // Show NoRecords block if no records are found
            $this->Attributes->Show();
            $Tpl->parse("NoRecords", false);
        }

        $errors = $this->GetErrors();
        if(strlen($errors))
        {
            $Tpl->replaceblock("", $errors);
            $Tpl->block_path = $ParentPath;
            return;
        }
        $this->Navigator->PageNumber = $this->DataSource->AbsolutePage;
        $this->Navigator->PageSize = $this->PageSize;
        if ($this->DataSource->RecordsCount == "CCS not counted")
            $this->Navigator->TotalPages = $this->DataSource->AbsolutePage + ($this->DataSource->next_record() ? 1 : 0);
        else
            $this->Navigator->TotalPages = $this->DataSource->PageCount();
        if ($this->Navigator->TotalPages <= 1) {
            $this->Navigator->Visible = false;
        }
        $this->ACCOUNTS_Insert->Show();
        $this->ACCOUNTS_TotalRecords->Show();
        $this->Header_ID->Show();
        $this->Sorter_ID->Show();
        $this->Header_SURNAME->Show();
        $this->Sorter_SURNAME->Show();
        $this->Header_NAME->Show();
        $this->Sorter_NAME->Show();
        $this->Header_TEL->Show();
        $this->Sorter_TEL->Show();
        $this->Header_LOGIN->Show();
        $this->Sorter_LOGIN->Show();
        $this->Header_PASSWORD->Show();
        $this->Sorter_PASSWORD->Show();
        $this->Header_GROUP_ID->Show();
        $this->Sorter_GROUP_ID->Show();
        $this->Navigator->Show();
        $Tpl->parse();
        $Tpl->block_path = $ParentPath;
        $this->DataSource->close();
    }
//End Show Method

//GetErrors Method @27-E3C2C1C1
    function GetErrors()
    {
        $errors = "";
        $errors = ComposeStrings($errors, $this->ID->Errors->ToString());
        $errors = ComposeStrings($errors, $this->SURNAME->Errors->ToString());
        $errors = ComposeStrings($errors, $this->NAME->Errors->ToString());
        $errors = ComposeStrings($errors, $this->TEL->Errors->ToString());
        $errors = ComposeStrings($errors, $this->LOGIN->Errors->ToString());
        $errors = ComposeStrings($errors, $this->PASSWORD->Errors->ToString());
        $errors = ComposeStrings($errors, $this->GROUP_ID->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Alt_ID->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Alt_SURNAME->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Alt_NAME->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Alt_TEL->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Alt_LOGIN->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Alt_PASSWORD->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Alt_GROUP_ID->Errors->ToString());
        $errors = ComposeStrings($errors, $this->Errors->ToString());
        $errors = ComposeStrings($errors, $this->DataSource->Errors->ToString());
        return $errors;
    }
//End GetErrors Method

} //End ACCOUNTS Class @27-FCB6E20C

class clsACCOUNTSDataSource extends clsDBConnection1 {  //ACCOUNTSDataSource Class @27-B9AE800B

//DataSource Variables @27-E9854C9F
    public $Parent = "";
    public $CCSEvents = "";
    public $CCSEventResult;
    public $ErrorBlock;
    public $CmdExecution;

    public $CountSQL;
    public $wp;


    // Datasource fields
    public $ID;
    public $SURNAME;
    public $NAME;
    public $TEL;
    public $LOGIN;
    public $PASSWORD;
    public $GROUP_ID;
    public $Alt_ID;
    public $Alt_SURNAME;
    public $Alt_NAME;
    public $Alt_TEL;
    public $Alt_LOGIN;
    public $Alt_PASSWORD;
    public $Alt_GROUP_ID;
//End DataSource Variables

//DataSourceClass_Initialize Event @27-9519A480
    function clsACCOUNTSDataSource(& $Parent)
    {
        $this->Parent = & $Parent;
        $this->ErrorBlock = "Grid ACCOUNTS";
        $this->Initialize();
        $this->ID = new clsField("ID", ccsInteger, "");
        
        $this->SURNAME = new clsField("SURNAME", ccsText, "");
        
        $this->NAME = new clsField("NAME", ccsText, "");
        
        $this->TEL = new clsField("TEL", ccsText, "");
        
        $this->LOGIN = new clsField("LOGIN", ccsText, "");
        
        $this->PASSWORD = new clsField("PASSWORD", ccsText, "");
        
        $this->GROUP_ID = new clsField("GROUP_ID", ccsInteger, "");
        
        $this->Alt_ID = new clsField("Alt_ID", ccsInteger, "");
        
        $this->Alt_SURNAME = new clsField("Alt_SURNAME", ccsText, "");
        
        $this->Alt_NAME = new clsField("Alt_NAME", ccsText, "");
        
        $this->Alt_TEL = new clsField("Alt_TEL", ccsText, "");
        
        $this->Alt_LOGIN = new clsField("Alt_LOGIN", ccsText, "");
        
        $this->Alt_PASSWORD = new clsField("Alt_PASSWORD", ccsText, "");
        
        $this->Alt_GROUP_ID = new clsField("Alt_GROUP_ID", ccsInteger, "");
        

    }
//End DataSourceClass_Initialize Event

//SetOrder Method @27-7E0E01A3
    function SetOrder($SorterName, $SorterDirection)
    {
        $this->Order = "GROUP_ID";
        $this->Order = CCGetOrder($this->Order, $SorterName, $SorterDirection, 
            array("Sorter_ID" => array("ID", ""), 
            "Sorter_SURNAME" => array("SURNAME", ""), 
            "Sorter_NAME" => array("NAME", ""), 
            "Sorter_TEL" => array("TEL", ""), 
            "Sorter_LOGIN" => array("LOGIN", ""), 
            "Sorter_PASSWORD" => array("PASSWORD", ""), 
            "Sorter_GROUP_ID" => array("GROUP_ID", "")));
    }
//End SetOrder Method

//Prepare Method @27-14D6CD9D
    function Prepare()
    {
        global $CCSLocales;
        global $DefaultDateFormat;
    }
//End Prepare Method

//Open Method @27-5C1EE9EA
    function Open()
    {
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeBuildSelect", $this->Parent);
        $this->CountSQL = "SELECT COUNT(*)\n\n" .
        "FROM ACCOUNTS";
        $this->SQL = "SELECT TOP {SqlParam_endRecord} ID, SURNAME, NAME, TEL, LOGIN, [PASSWORD], GROUP_ID \n\n" .
        "FROM ACCOUNTS {SQL_Where} {SQL_OrderBy}";
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "BeforeExecuteSelect", $this->Parent);
        if ($this->CountSQL) 
            $this->RecordsCount = CCGetDBValue(CCBuildSQL($this->CountSQL, $this->Where, ""), $this);
        else
            $this->RecordsCount = "CCS not counted";
        $this->query($this->OptimizeSQL(CCBuildSQL($this->SQL, $this->Where, $this->Order)));
        $this->CCSEventResult = CCGetEvent($this->CCSEvents, "AfterExecuteSelect", $this->Parent);
        $this->MoveToPage($this->AbsolutePage);
    }
//End Open Method

//SetValues Method @27-01D2F3AA
    function SetValues()
    {
        $this->ID->SetDBValue(trim($this->f("ID")));
        $this->SURNAME->SetDBValue($this->f("SURNAME"));
        $this->NAME->SetDBValue($this->f("NAME"));
        $this->TEL->SetDBValue($this->f("TEL"));
        $this->LOGIN->SetDBValue($this->f("LOGIN"));
        $this->PASSWORD->SetDBValue($this->f("PASSWORD"));
        $this->GROUP_ID->SetDBValue(trim($this->f("GROUP_ID")));
        $this->Alt_ID->SetDBValue(trim($this->f("ID")));
        $this->Alt_SURNAME->SetDBValue($this->f("SURNAME"));
        $this->Alt_NAME->SetDBValue($this->f("NAME"));
        $this->Alt_TEL->SetDBValue($this->f("TEL"));
        $this->Alt_LOGIN->SetDBValue($this->f("LOGIN"));
        $this->Alt_PASSWORD->SetDBValue($this->f("PASSWORD"));
        $this->Alt_GROUP_ID->SetDBValue(trim($this->f("GROUP_ID")));
    }
//End SetValues Method

} //End ACCOUNTSDataSource Class @27-FCB6E20C





//Initialize Page @1-87EBA9F7
// Variables
$FileName = "";
$Redirect = "";
$Tpl = "";
$TemplateFileName = "";
$BlockToParse = "";
$ComponentName = "";
$Attributes = "";

// Events;
$CCSEvents = "";
$CCSEventResult = "";

$FileName = FileName;
$Redirect = "";
$TemplateFileName = "user_accounts.html";
$BlockToParse = "main";
$TemplateEncoding = "UTF-8";
$ContentType = "text/html";
$PathToRoot = "./";
$Charset = $Charset ? $Charset : "utf-8";
//End Initialize Page

//Authenticate User @1-49DB6837
CCSecurityRedirect("0", "index.php");
//End Authenticate User

//Include events file @1-A05DD75B
include_once("./user_accounts_events.php");
//End Include events file

//Before Initialize @1-E870CEBC
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeInitialize", $MainPage);
//End Before Initialize

//Initialize Objects @1-C3848ADB
$DBConnection1 = new clsDBConnection1();
$MainPage->Connections["Connection1"] = & $DBConnection1;
$Attributes = new clsAttributes("page:");
$MainPage->Attributes = & $Attributes;

// Controls
$Link1 = new clsControl(ccsLink, "Link1", "Link1", ccsText, "", CCGetRequestParam("Link1", ccsGet, NULL), $MainPage);
$Link1->Parameters = CCGetQueryString("QueryString", array("ccsForm"));
$Link1->Page = "index.php";
$ACCOUNTS = new clsGridACCOUNTS("", $MainPage);
$MainPage->Link1 = & $Link1;
$MainPage->ACCOUNTS = & $ACCOUNTS;
$ACCOUNTS->Initialize();

BindEvents();

$CCSEventResult = CCGetEvent($CCSEvents, "AfterInitialize", $MainPage);

if ($Charset) {
    header("Content-Type: " . $ContentType . "; charset=" . $Charset);
} else {
    header("Content-Type: " . $ContentType);
}
//End Initialize Objects

//Initialize HTML Template @1-51EC165D
$CCSEventResult = CCGetEvent($CCSEvents, "OnInitializeView", $MainPage);
$Tpl = new clsTemplate($FileEncoding, $TemplateEncoding);
$Tpl->LoadTemplate(PathToCurrentPage . $TemplateFileName, $BlockToParse, "UTF-8");
$Tpl->block_path = "/$BlockToParse";
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeShow", $MainPage);
$Attributes->SetValue("pathToRoot", "");
$Attributes->Show();
//End Initialize HTML Template

//Go to destination page @1-8E0B45D2
if($Redirect)
{
    $CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
    $DBConnection1->close();
    header("Location: " . $Redirect);
    unset($ACCOUNTS);
    unset($Tpl);
    exit;
}
//End Go to destination page

//Show Page @1-1EEA542D
$ACCOUNTS->Show();
$Link1->Show();
$Tpl->block_path = "";
$Tpl->Parse($BlockToParse, false);
if (!isset($main_block)) $main_block = $Tpl->GetVar($BlockToParse);
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeOutput", $MainPage);
if ($CCSEventResult) echo $main_block;
//End Show Page

//Unload Page @1-E20604BE
$CCSEventResult = CCGetEvent($CCSEvents, "BeforeUnload", $MainPage);
$DBConnection1->close();
unset($ACCOUNTS);
unset($Tpl);
//End Unload Page


?>
